package examples.EventExamples;

import javafx.util.Callback;
import javafx.application.Application;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.scene.Scene;
import javafx.scene.control.ListCell;
import javafx.scene.control.ListView;
import javafx.scene.layout.Priority;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

public class ReactiveDropDownList extends Application {
 
    ListView<String> list = new ListView<String>();
    ObservableList<String> data = FXCollections.observableArrayList(
            "chocolate", "salmon", "gold", "coral", "darkorchid",
            "darkgoldenrod", "lightsalmon", "black", "rosybrown", "blue",
            "blueviolet", "brown");
 
    @Override
    public void start(Stage stage) {
        VBox box = new VBox();
        box.getChildren().addAll(list);
 
        list.setItems(data);
 
        list.setOnMouseClicked(event -> {
        	String sel = list.getSelectionModel().getSelectedItem();
        	System.out.println("New selection is " + sel);
        });
 
        Scene scene = new Scene(box, 200, 200);
        stage.setScene(scene);
        stage.setTitle("List View Example");
        stage.show();
    }
    
    
    public static void main(String[] args) {
        launch(args);
    }
}
