package examples.SimpleWindows;


import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

public class CombinedLayouts extends Application{

	public static void main(String[] args){
		launch(args);
	}
	
	@Override
	public void start(Stage primaryStage) throws Exception {
		primaryStage.setTitle("Complex Window!");
	
	    HBox hbox = new HBox();
	    hbox.setPadding(new Insets(15, 12, 15, 12)); // padding
	    hbox.setSpacing(10); //space between nodes
	    hbox.setStyle("-fx-background-color: #336699;");

	    Button buttonCurrent = new Button("Current");
	    buttonCurrent.setPrefSize(100, 20);

	    Button buttonProjected = new Button("Projected");
	    buttonProjected.setPrefSize(100, 20); // prefered size
	    hbox.getChildren().addAll(buttonCurrent, buttonProjected);
	    
	    BorderPane root = new BorderPane();
	    root.setTop(hbox);
	    
	    Scene scene = new Scene (root, 200, 200);
	    primaryStage.setScene(scene);
		primaryStage.show();

	}
}
