package examples.Windows;

import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.input.InputEvent;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.FlowPane;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;

public class OpeningWindow extends Application {
	 
    public static void main(String[] args) {
        Application.launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
         
    	// creating a Pane to store the secondary window nodes
        GridPane child = new GridPane();
        child.setPadding(new Insets(10, 10, 10, 10));
        child.setMinSize(100, 100);
        child.setVgap(5);
        child.setHgap(5);
        for (int i = 0; i<16;++i) {
        	child.add(new Label(Integer.toString(i)), i%4, i/4);
        }
        Label l = new Label("This is a 4x4 grid");
        child.add(l,0,4,4,1); // adding a control across multiple cells
        
        // creating a scene graph to store the Pane container
        Scene scene_two = new Scene(child, 150, 150);
        // creating a stage/window to add the scene graph
        Stage secondaryStage = new Stage();
        secondaryStage.setTitle("Another Window");
        secondaryStage.setScene(scene_two);
        secondaryStage.hide(); // secondary window hidden by default
        
        // creating a Pane for the main window
        FlowPane root = new FlowPane();
        root.setAlignment(Pos.CENTER);
        
        Button btn = new Button("ClickMe");
        btn.setOnMouseClicked(
        	    new EventHandler<InputEvent>() {
            		@Override public void handle(InputEvent e) {
            			secondaryStage.show();
            		}
        });        
        root.getChildren().add(btn);

        // creating a scene graph to store the Pane container
        Scene scene_one = new Scene(root, 300, 250);
        // adding the scene graph to the stage already created by the Application 
        primaryStage.setTitle("One Window");
        primaryStage.setScene(scene_one);
        primaryStage.show();
    }
}