
package examples.animations;

import javafx.animation.FadeTransition;
import javafx.animation.ScaleTransition;
import javafx.animation.Timeline;
import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.layout.FlowPane;
import javafx.scene.paint.Color;
import javafx.scene.shape.Ellipse;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;
import javafx.util.Duration;

public class SimpleAnimation extends Application {
	
    public static void main(String[] args) {
        launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
        primaryStage.setTitle("Simple Animation Test");

        FlowPane root = new FlowPane();
        root.setAlignment(Pos.CENTER);

        Ellipse el1 = new Ellipse(10, 10);
        el1.setFill(Color.BLUE);
        root.getChildren().addAll(el1);

        
        ScaleTransition st = new ScaleTransition(Duration.millis(3000), el1);
        st.setFromX(1); // original x
        st.setFromY(1); // original y
        st.setToX(25); // final x 25 times the original
        st.setToY(25); // final y 25 times the original
        st.setCycleCount(Timeline.INDEFINITE);
        st.setAutoReverse(true);
        st.play();
        
        primaryStage.setWidth(500);
        primaryStage.setHeight(500);
        primaryStage.setScene(new Scene(root));
        primaryStage.show();
    }

}
