package examples.graphics;

import java.io.FileInputStream;

import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.geometry.Rectangle2D;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;

public class AnotherTwoImages extends Application {

	@Override
	public void start(Stage primaryStage) throws Exception {
		
		    //Creating a layout 
		      FlowPane root = new FlowPane();
		      root.setAlignment(Pos.CENTER);
		      Scene scene = new Scene(root, 100, 200);  

		      //Creating images
		      Image image1 = new Image(new FileInputStream("resources/kitten.jpg"));  
		      Image image2 = new Image(new FileInputStream("resources/puppy.jpg")); 
		      
		      ImageView imageView1 = new ImageView(image1);
		      imageView1.setOnMouseClicked(e->{
		        	imageView1.setRotate(imageView1.getRotate()+30);
		        });
		      
		      ImageView imageView2 = new ImageView(image1);
		      imageView2.setOnMouseClicked(e->{
		    	  if (imageView2.getImage() == image1)
		    		  imageView2.setImage(image2); 
		    	  else
		        	imageView2.setImage(image1);
		        });
		      
		      root.getChildren().addAll(imageView1,imageView2);
		      
		      //Setting scene 
		      primaryStage.setTitle("Loading an image");  
		      primaryStage.setScene(scene);
		      primaryStage.show(); 
		   }  
		 
		   public static void main(String args[]) { 
		      launch(args); 
		   }
}
