package examples.graphics;

import java.io.FileInputStream;
import java.io.FileNotFoundException;

import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;

public class DrawingSimpleImage extends Application {
	
	@Override
	public void start(Stage primaryStage) throws Exception {
		      //Creating an image 
		
			  String path = "resources/kitten.jpg"; // if in windows fix path
		      Image image = new Image(new FileInputStream(path));  
		      
		      //Setting the image view 
		      ImageView imageView = new ImageView(image); 
		      		      
		      //listen for mouse click events
			      imageView.setOnMouseClicked(e->{
			        	System.out.println("Clicked on " + path);
			        });
		      
		      //Creating a layout 
		      FlowPane root = new FlowPane();
		      root.getChildren().add(imageView);
		      
		      Scene scene = new Scene(root, 100, 150);  
		      
		      //Setting title to the Stage and adding the scene 
		      primaryStage.setTitle("Loading an image");  
		      primaryStage.setScene(scene);
		      
		      //Displaying the contents of the stage 
		      primaryStage.show(); 
		   }  
		 
		   public static void main(String args[]) { 
		      launch(args); 
		   }
}
