package examples.graphics;

import java.io.FileInputStream;

import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.geometry.Rectangle2D;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;

public class TwoImages extends Application {

	@Override
	public void start(Stage primaryStage) throws Exception {
		
		    //Creating a layout 
		      FlowPane root = new FlowPane();
		      root.setAlignment(Pos.CENTER);
		      Scene scene = new Scene(root, 100, 200);  

		      //Creating an image 	
			  String path = "resources/kitten.jpg"; // if in windows fix path
		      Image image = new Image(new FileInputStream(path));  
		      
		      
		      ImageView imageView1 = new ImageView(image);
		      imageView1.setOnMouseClicked(e->{
		        	System.out.println("Clicked on " + path);
		        	imageView1.setRotate(imageView1.getRotate()+30);
		        });
		      
		      ImageView imageView2 = new ImageView(image);
		      imageView2.setOnMouseClicked(e->{
		        	System.out.println("Clicked on " + path);
		        	imageView2.setRotate(imageView2.getRotate()-30);
		        });
		      
		      root.getChildren().addAll(imageView1,imageView2);
		      
		      //Setting scene 
		      primaryStage.setTitle("Loading an image");  
		      primaryStage.setScene(scene);
		      primaryStage.show(); 
		   }  
		 
		   public static void main(String args[]) { 
		      launch(args); 
		   }
}
